/****************************************************
 * PACKAGE INSTALLATION SCRIPT
 *
 * FileTitle 0.1 for MozSuite
 *
 ****************************************************/

// 1. Set parameters of package installation
var __pkg_name  = "filetitle";
var __prog_name = "filetitle";
var __version   = "0.1 for MozSuite";
var __author    = "Torisugari, optimize by A.Larionov";

// 2. Initialise package
var err = initInstall(__pkg_name, "/" + __author + "/" + __pkg_name, __version);

// Get package directories
var __chrome   = getFolder("Chrome","");
var __package  = getFolder("Chrome","filetitle.jar");

// Check where to install

var jarName             = "filetitle.jar";
var flagLocation        = PROFILE_CHROME;
var folder              = getFolder("Current User", "chrome");
var existsInApplication = File.exists(getFolder(getFolder("Chrome"), jarName));
var existsInProfile     = File.exists(getFolder(folder, jarName));
var msgLocationChk      = "Select Install Location: for " + __pkg_name
                        + "Do you want to install the extension into your profile folder?\n"
                        + "  Click [OK] to install in your Personal Profile folder;\n"
                        + "  Click [Cancel] to install into the Application folder."

// If this is first install of filetitle, ask where XPI should be installed
if(existsInApplication || (!existsInProfile && !confirm(msgLocationChk)))
{
  flagLocation = DELAYED_CHROME;
  folder       = getFolder("Chrome");
}


// 3. Flag files/folders to be added
//addFile("", __prog_name + ".jar", __chrome, "");

// Add jar to appropriate directory
addFile(__pkg_name, jarName, folder, "");


// 4. Register chrome (this is what contents.rdf is used for)
__package = getFolder(folder, jarName)

registerChrome(CONTENT | flagLocation, __package, "content/");


// 5. Perform the installation
err = performInstall();


// 6. Report on success or otherwise
if ( err == SUCCESS || err == "999" ) {
   refreshPlugins();
   alert("filetitle has been installed. \n You must exit quick launch and restart your browser/application to continue.");
}
else {
   alert("Install failed. \nError code:" + err);
   cancelInstall(err);
}